Last Comment Bug 742459 - Converting between storage service providers does not remove the old attachment URL
: Converting between storage service providers does not remove the old attachme...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on: 738299
Blocks: BigFiles 742538
  Show dependency treegraph
 
Reported: 2012-04-04 11:40 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-04-16 11:59 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (8.60 KB, patch)
2012-04-05 10:20 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: review+
Details | Diff | Splinter Review
Patch v2 (carrying over r+ from bienvenu) (7.92 KB, patch)
2012-04-16 09:51 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-04-04 11:40:04 PDT
STR (affects both plaintext and HTML mail):

1)  Compose a new mail, and attach a Filelink for Dropbox
2)  Convert the Filelink to use YouSendIt instead

What happens?

The old Filelink URL remains in the body of the message.  When the conversion completes, the new URL is appended, and the old one still persists.

What should happen?

When converting, the old attachment URL should go away permanently.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-04-05 10:20:11 PDT
Created attachment 612591 [details] [diff] [review]
Patch v1

First run at it, includes tests.
Comment 2 David :Bienvenu 2012-04-05 10:53:47 PDT
this patch doesn't apply - does the patch for 742538 need to go first? Or vice versa?
Comment 3 David :Bienvenu 2012-04-05 14:19:11 PDT
Comment on attachment 612591 [details] [diff] [review]
Patch v1

+/**
+ * Test that if we convert a Filelink from one provider to another, that the
+ * old Filelink is removed, and a new Filelink is added for the new provider.
+ */

This tests both html and plain text compose, right? Probably should add that to the comment.
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 09:51:11 PDT
Created attachment 615366 [details] [diff] [review]
Patch v2 (carrying over r+ from bienvenu)

Comment fixed and patch un-bitrotted.
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 09:59:47 PDT
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/de274c897ab7
Comment 6 Mike Conley (:mconley) - (Needinfo me!) 2012-04-16 11:59:57 PDT
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/458415218fb7

Note You need to log in before you can comment on or make changes to this bug.